﻿/**************************************subscriptions list********************************/
/* Pricing Section */

.pricing-container {
  display: grid;
  width: 100%;
  /* grid-template-columns: repeat(3, 1fr); */
  grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
  margin: 0 auto;
  margin-top: 2.8rem;
  padding-bottom: 5.8rem;
  gap: 20px;
  padding: 0px 20px;
}

.pricing {
  /*    display: grid;
    grid-template-columns: 1fr;
    align-items: center;*/
  border-radius: 7px;
  padding: 1rem 0.8rem;
  text-align: center;
}

.container-2 {
  background: linear-gradient(var(--gradient));
  margin-top: -1.6rem;
  margin-bottom: -1.6rem;
}

.container-1 {
  border-radius: 0 7px 7px 0;
}

.container-3 {
  border-radius: 7px 0 0 7px;
}

.container-1,
.container-3,
.container-2 {
  background-color: rgba(235, 235, 235, 0.4);
  gap: 0.3rem;
  border-radius: 20px;
  position: relative;
}

.pricing h2 {
  font-size: 1.23rem;
  font-weight: 700;
  text-align: center;
  font-family: "itfrayat-Bold";
  padding-top: 12px;
}

.container-1 h2,
.container-1 li,
.container-3 h2,
.container-3 li {
  color: var(--light-grayish-blue);
}

.pricing .price-1,
.pricing .price-2,
.pricing .price-3 {
  display: flex !important;
  align-items: center;
  flex-direction: column;
  justify-content: center;
  gap: 0 !important;
  margin: 20px auto 0;
  font-size: 45px;
  font-weight: bold;
  font-family: "itfrayat-Bold";
}

.dollar-sign {
  font-size: 18px;
  font-weight: 500;
  font-family: "itfrayat-Medium";
}

.container-1 p,
.container-3 p {
  color: var(--dark-grayish-blue);
}

@media (hover: hover) {
  .container-2 button:hover {
    background-color: transparent;
    border-color: var(--white);
    color: var(--white);
    border-width: 1px;
  }
}

.subscription-options {
  height: 48px;
  display: flex;
  align-items: center;
  padding-inline: 10px;
  border-radius: 30px;
  position: relative;
  justify-content: center;
}

.subscription-options label {
  height: 100%;
  z-index: 2;
  display: flex;
  position: relative;
  align-items: center;
  justify-content: center;
  transition: color 0.3s ease;
  flex: 1;
  padding: 0 20px;
  text-align: center;
  border-radius: 30px;
  margin-inline-end: 14px;
  font-family: "itfrayat-Bold";
  background: rgba(235, 235, 235, 0.4);
  cursor: pointer;
  font-size: 14px;
  margin-bottom: 0;
  font-weight: bold;
}

/*#tab-1:checked ~ header .tab-1,
#tab-2:checked ~ header .tab-2,
#tab-3:checked ~ header .tab-3*/
.subscription-options input[type="radio"]:checked + label {
  color: rgba(14, 12, 54, 1);
  margin-bottom: 0;
  border-radius: 30px;
  background: rgba(14, 12, 54, 0.2);
  text-decoration: none;
  font-weight: normal;
  cursor: default;
  pointer-events: none;
  border: 3px solid rgba(14, 12, 54, 1);
  height: 50px;
}

@media screen and (max-width: 991.89px) {
  .subscription-options input[type="radio"]:checked + label {
    border: 1px solid rgba(14, 12, 54, 0.45);
    height: 43px;
  }
  .subscription-options label {
    background: none;
    border: 1px solid rgba(14, 12, 54, 0.1);
  }
}
.subscription-options input[type="radio"] {
  display: none;
}

.subscription-options {
  width: 100%; /* Allows it to adapt to parent width */
  max-width: 330px; /* Optional: Set a max width */
  border-radius: 30px;
  margin: 0 auto;
}

.renew {
  color: #7d178d;
  font-size: 12px;
  font-family: "Cairo-bold";
}

.package-details {
  font-size: 15px;
  font-family: "IBM Plex Sans Arabic";
  line-height: 16px;
  margin-block: 26px;
  font-weight: 500;
}

/* Nael */

.container-2 {
  border-radius: 20px;
}

.pricing-container .most-famous {
  background-color: rgb(127 23 143 / 40%);
  color: #7f178f;
  text-align: center;
  padding: 10px 5px;
  font-size: 14px;
  visibility: hidden;
}

.pricing-container .container-1 {
  border-inline-end: 0;
}

.pricing-container .container-3 {
  border-inline-start: 0;
}

.pricing-container .container-1 .most-famous {
  border-radius: 0 7px 0 0;
}

.pricing-container .container-2 .most-famous {
  border-radius: 7px 7px 0 0;
}

.pricing-container .container-3 .most-famous {
  border-radius: 7px 0 0 0;
}

.pricing-container .most-famous-pricing {
  border-color: #7f178f;
}

.pricing-container .most-famous-pricing .most-famous {
  visibility: visible;
}

.pricing-container .subscription-completed {
  background-color: rgb(9 173 149 / 8%);
  border-color: #09ad95;
}

.pricing-container .subscription-completed .most-famous {
  background-color: rgb(9 173 149 / 40%);
  color: #09ad95;
}

.pricing-container .plan-dimmed {
  opacity: 0.4;
  pointer-events: none;
}

.pricing-container .most-famous-pricing .buy-now {
  background-color: #7f178f;
}
/*Buy Now Btn*/
.buy-now {
  background-color: #090326;
  color: #fff !important;
  display: flex !important;
  align-items: center;
  justify-content: center;
  font-size: 18px;
  width: 100%;
  height: 45px;
  border-radius: 30px;
  margin: 0 auto;
  font-family: "IBM Plex Sans Arabic";
  font-weight: 500;
}

.buy-now.disabled {
  background-color: rgb(9 3 38 / 30%);
  cursor: default;
}

.buy-now .icon {
  margin-inline-end: 8px;
}

.buy-now .icon.waiting-icon,
.buy-now .icon.done {
  display: none;
}

.buy-now .btn-txt.waiting-txt,
.buy-now .btn-txt.done-txt {
  display: none;
}

/* not allowed btn */
.buy-now.not-allowed-disabledbg {
  pointer-events: none;
  cursor: not-allowed;
  background-color: rgb(9 3 38 / 50%) !important;
}

.buy-now.not-allowed {
  pointer-events: none;
  cursor: not-allowed;
}

/* waiting btn */
.buy-now.waiting-payment {
  background-color: rgb(9 3 38 / 50%) !important;
}

.buy-now.waiting-payment .icon.waiting-icon,
.buy-now.waiting-payment .btn-txt.waiting-txt {
  display: block;
}

.buy-now.waiting-payment .icon.default,
.buy-now.waiting-payment .btn-txt.default-txt,
.buy-now.waiting-payment .btn-txt.done-txt {
  display: none;
}
/* Done btn */
.buy-now.done {
  background-color: #09ad95 !important;
  cursor: default;
}

.buy-now.done .icon.default,
.buy-now.done .icon.waiting-icon,
.buy-now.done .btn-txt.default-txt,
.buy-now.done .btn-txt.waiting-txt {
  display: none;
}

.buy-now.done .icon.done,
.buy-now.done .btn-txt.done-txt {
  display: block;
}

/* pricing-info-data */
.pricing-info-data {
  text-align: start;
  margin-bottom: 25px;
  padding: 0;
  display: flex;
  flex-direction: column;
  gap: 20px;
}

.pricing-info-data li {
  list-style: none;
  display: flex;
  /* margin-bottom: 10px; */
}

.pricing-info-data li i {
  color: #7f178f;
  font-size: 8px;
  margin-inline-end: 8px;
  padding-top: 3px;
}

.pricing-info-data li p {
  margin: 0;
  font-size: 14px;
  /* font-family: "itfrayat-Bold"; */
  color: #090326;
  /* font-weight: 700; */
}

.pricing-info-data li p span {
  font-weight: 500;
  display: block;
  font-size: 12px;
  font-family: "itfrayat-Medium";
}

.comparing {
  color: #7f178f;
  text-align: center;
  display: block;
  text-decoration: underline;
  font-size: 12px;
  position: absolute;
  bottom: 0;
  left: 0;
  right: 0;
  padding: 15px;
}

.comparing:hover {
  color: #7f178f;
  text-decoration: underline;
}

.pricing-container .see-more {
  width: 15px;
  margin: 0 auto 15px;
  cursor: pointer;
  display: none;
}

@media (max-width: 730px) {
  .pricing-container {
    width: 100%;
    grid-template-columns: 1fr;
  }

  .pricing-container .container-1 {
    border-radius: 20px;
    order: 1;
    margin-bottom: 15px;
    margin-inline-end: 0;
  }

  .pricing-container .container-2 {
    order: 1;
    margin-inline-end: 0;
    margin-top: 0;
    margin-bottom: 15px;
  }

  .pricing-container .container-3 {
    border-radius: 20px;
    order: 2;
    margin-inline-end: 0;
  }

  .pricing-info-data,
  .comparing {
    position: relative;
    margin-bottom: 0;
  }

  .pricing-data {
    /*        transform-origin: top;
        transition: all 0.3s ease-in-out;
        transform: scaleY(0);*/
  }

  .pricing-container .see-more {
    display: block;
    transition: all 0.3s ease-in-out;
  }

  .pricing-container .see-more.opened {
    transform: rotateX(180deg);
  }
}
.subscriptions-content {
  background: #f4f4f9;
  border-radius: 5px;
}
.subscriptions-content .titles .d-flex {
  background: rgba(14, 12, 54, 0.05);
  width: 130px;
  margin: 0 auto;
  height: 34px;
  padding-block: 3px;
  border-radius: 30px;
  padding-inline-end: 18px;
}
.subscriptions-content .titles .d-flex .FAQ-logo {
  margin-inline-end: 3px;
}
.subscriptions-content .titles .d-flex p {
  font-family: "IBM Plex Sans Arabic";
  font-size: 14px;
  color: rgba(14, 12, 54, 1);
  margin-top: 4px;
  margin-bottom: 0;
}
.subscriptions-content .titles h4 {
  /* font-family: "itfrayat-Medium"; */
  font-size: 30px;
  line-height: 30px;
  margin: 20px auto;
}
@media screen and (max-width: 991.89px) {
  .subscriptions-content .titles h4 {
    font-size: 20px;
    line-height: 30px;
  }
}
@media screen and (min-width: 1200px) {
  .subscriptions-content .titles h4 {
    /* width: 50%; */
    margin: 30px auto;
  }
}
.subscriptions-content .page-title p {
  color: #090326;
  font-size: 13px;
}

.subscribe {
  width: 85% !important;
  margin: 10px auto 0;
  height: 32px;
  background: #090326;
  border-radius: 3px;
  opacity: 1;
}

.correct-copoun {
  color: #09ad95;
  font-size: 8px;
  margin-bottom: 0;
}

.error-copoun {
  color: #e41b1b;
  margin-bottom: 0;
  font-size: 8px;
}

.add-coupoun input {
  position: relative;
}

.subscriptions-list .subs-item .add-coupoun {
  position: relative;
}

.subscriptions-list .subs-item .add-coupoun.error {
  border-color: #e41b1b;
}

.subscriptions-list .subs-item .add-coupoun.correct {
  border-color: #09ad95;
}

.subscriptions-list .subs-item .add-coupoun .icon {
  position: absolute;
  left: 55px;
  top: 50%;
  transform: translateY(-50%);
  opacity: 0;
}

.subscriptions-list .subs-item .add-coupoun.error .icon.error {
  opacity: 1;
}

.subscriptions-list .subs-item .add-coupoun.correct .icon.correct {
  opacity: 1;
}

.subscriptions-list .subs-item .add-coupoun ~ p {
  display: none;
}

.subscriptions-list .subs-item .add-coupoun.error ~ p.error-copoun {
  display: block;
}

.subscriptions-list .subs-item .add-coupoun.correct ~ p.correct-copoun {
  display: block;
}

/*.search-body .form-group {
    width: 100% !important;
}*/

.copoun-icon {
  position: absolute;
  left: 62px;
  top: 112px;
}

.subscriptions-list .subs-item[status="expired"] {
  border: 2px solid #e41b1b !important;
}

.subscriptions-list .subs-item button.btn-expired {
  border-color: #e41b1b;
  background: none;
  border-radius: 7px;
}

.subscriptions-list .subs-item button.btn-expired .addcart {
  text-decoration: underline;
}

.subscriptions-list .subs-item button.btn-expired .expire-text {
  color: #e41b1b;
}

.moredetails {
  border: 1px solid #090326;
  border-radius: 20px !important;
  width: 90%;
}

#moredetailsModal h5 {
  color: #090326;
  font-family: "Cairo-Bold";
  font-size: 20px;
}

#moredetailsModal .modal-dialog {
  max-width: 621.42px;
}

#moredetailsModal .modal-content {
  border-radius: 10px;
}

.package-types {
  background: #090326;
  height: 55px;
  border-radius: 5px;
  color: #fff;
}

.package-types p {
  font-family: "Cairo-Bold";
  margin-bottom: 0;
  padding-inline: 20px;
}

.package-types span {
  font-size: 14px;
  padding-inline: 15px;
  font-family: "Cairo-Regular";
}

.package-types span sub {
  background: #fff;
  border-radius: 9px;
  color: #7f178f;
  font-family: "Cairo-Regular";
  padding-block: 1px;
  padding-inline: 8px;
}

.package-hint {
  font-family: "Cairo-Bold";
  font-size: 11px;
  margin-top: 5px;
}

.devices h4 {
  font-size: 18px;
  font-family: "Cairo-Bold";
}

.devices .device {
  border: 1px solid #090326;
  border-radius: 5px;
}

.devices .device p {
  font-family: "Cairo-Bold";
}

.devices .device span {
  font-family: "Cairo-Regular";
  font-size: 9px;
}

.devices .device .device-img,
.select-device .device-img {
  height: 143px;
}

.devices .check-box {
  display: flex;
  position: relative;
  margin-left: 5px;
}

.devices .span.px-2 {
  font-size: 18px;
}

span.sub-title {
  color: #b2b2b2;
  font-size: 11px;
}

.devices .check-box input[type="checkbox"] {
  position: absolute;
  left: 0;
  top: 0;
  opacity: 0;
}

.devices .check-box label {
  display: inline-block;
  position: relative;
  width: 16px;
  height: 16px;
  text-indent: -9999px;
  border: 1px solid #090326;
  background-color: #fff;
  border-radius: 5px;
  top: 6px;
}

.devices .check-box input[type="checkbox"]:checked + label:after {
  position: absolute;
  left: 50%;
  top: 50%;
  margin-top: -4px;
  margin-left: -1.5px;
  content: "";
  width: 3px;
  height: 7px;
  border-top: 1px solid #fff;
  border-left: 1px solid #fff;
  transform: rotate(217deg);
}

.devices .check-box input[type="checkbox"]:checked + label {
  background-color: #090326;
}

.devices .device.select-device {
  border: none;
  background: rgba(9, 3, 38, 10%);
}

.devices .device.select-device p:nth-of-type(2) {
  padding-bottom: 17px;
}
#compareModal #table1 tr:nth-child(even) td {
  background: rgba(9, 3, 38, 10%);
}

#compareModal #table1 {
  width: 100%;
}

#compareModal #table1 tr:nth-child(odd) td {
  background: none;
}

#compareModal .modal-dialog .modal-footer {
  display: none;
}

#compareModal table tr {
  height: 50px;
}

#compareModal table tr td b {
  font-size: 13px;
}

#compareModal .price {
  direction: ltr;
}

#compareModal table th {
  background-color: transparent;
  font-family: "Cairo-Bold";
  font-size: 19px;
  text-align: center;
  padding-block: 15px;
}

#compareModal table .offers {
  color: rgba(127, 23, 143, 100%);
  font-size: 9px;
  font-weight: bold;
}
table tbody tr td {
  color: #090326;
  background-color: #fff;
  border-top-color: #ddd;
  padding: 0.5rem;
}
::-webkit-scrollbar-track {
  background: #f1f1f1;
}
::-webkit-scrollbar-thumb {
  background: #090326;
}

.sidenav {
  height: 100%;
  position: fixed;
  z-index: 100000000;
  background-color: #fff;
  overflow-x: hidden;
  padding-top: 0px;
  top: 0;
  left: 0;
}

.sidenav a {
  padding: 8px 8px 8px 32px;
  text-decoration: none;
  font-size: 25px;
  color: #818181;
  display: block;
  transition: 0.3s;
}

.sidenav .closebtn {
  position: absolute;
  top: 0;
  right: 25px;
  padding: 0;
}

#pay-cart-form {
  display: flex;
  flex-direction: column;
  height: 100%;
  position: relative;
  padding-top: 50px;
  .modal-body {
    flex: 1;
    overflow-y: auto;
    padding-bottom: 80px;
    -webkit-overflow-scrolling: touch;
    overscroll-behavior: contain;
  }
  .modal-footer {
    flex-shrink: 0;
    position: sticky;
    bottom: 0;
    right: 0;
    z-index: 99;
  }
}

.right-content {
  background-color: transparent;
}

.subscription-overlay {
  position: fixed;
  top: 0;
  right: 0;
  width: calc(100% - 550px);
  height: 100vh;
  background: rgba(9, 3, 38, 70%); /* Semi-transparent background */
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 9999; /* Ensures it stays above other elements */
  display: flex; /* Initially hidden */
}

.subscriptions-content {
  background: none;
}

@media (max-width: 1050px) {
  .container-1,
  .container-3,
  .container-2 {
    margin: 0 !important;
  }
}

@media (min-width: 1200px) {
  .mycredit:nth-child(1) {
    width: 30% !important;
  }
  .sidenav {
    /* top: 0; */
    /* left: 0; */
    width: 550px !important;
  }
  .sidenav .modal-footer {
    /* position: fixed !important; */
    /* left: 0 !important; */
    /* width: 550px !important; */
  }
}

@media (max-width: 991.89px) {
  .subscription-overlay {
    width: 100%;
  }
  .sidenav .modal-footer {
    /* position: fixed !important; */
    /* left: 0 !important; */
    width: 100% !important;
  }
  #Paymodal .modal-body {
    margin-bottom: 0 !important;
  }
  .sidenav {
    /* border-top-left-radius: 20px; */
    /* border-top-right-radius: 20px; */
  }
}
.nav-lang {
  position: relative;
  cursor: pointer;
  background: none;
  width: 32px;
  height: 32px;
  border: 1px solid #090326;
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 5px;
  margin-inline-end: 5px;
}
#notificationsDiv {
  z-index: 99999999;
  position: fixed;
  width: 100%;
}

.m-pay {
  gap: 40px;
  flex-wrap: nowrap;
}

@media (max-width: 767px) {
  .m-pay {
    gap: 15px;
  }
}

.pri-container-view-end {
  .pricing-container {
    @media (max-width: 767px) {
      margin-top: 0 !important;
    }
  }
}

.modal-open .modal {
  background: rgba(9, 3, 38, 50%);
}
